Subject: [bug#42225] [PATCH 0/5] Add 'guix git-authenticate' command

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Jul 2020 21:48:56 +0200

Hi,

zimoun <[email-masked]> skribis:

> On Mon, 6 Jul 2020 at 14:46, Ludovic Courtès <[email-masked]> wrote:
>
>> >    git -C $SRC log | grep Update
>> >
>> > And I would like to be able to simply run;
>> >
>> >    guix git log | grep Update
>>
>> Good point.  Though hopefully this particular use case (finding new
>> package updates) is well served by ‘guix pull --news’, no?
>
> It is not for new package updates, but the contrary. :-)
> I use it for searching versions back in time.  Which commit introduces
> which version.
>
> To be honest, I am almost never use "guix pull --news" because I am
> pulling once every full moon, and even when I do, I run an ugly script
> like:
>
> #!/bin/bash
>
> # url-cache-directory from guix/git.scm
> # pjmkgl... = hash("https://git.savannah.gnu.org/git/guix.git")
> CACHE=~/.cache/guix/checkouts
> CHECKOUT=${CACHE}/pjmkglp4t7znuugeurpurzikxq3tnlaywmisyr27shj7apsnalwq
>
> printf "Updating local checkout:\n'$CHECKOUT'..."
> git -C $CHECKOUT pull -q
> echo " done."
>
> guix pull --commit=$(git -C $CHECKOUT                                    \
>                          log                                             \
>                          --before=$(date --date='2 weeks ago' +%Y-%m-%d) \
>                          --format="%h" | head -n1)                       \
>      $@
>
> because I do want the substitutes available.  Well, for example, I
> run: "guix pull --news" and I get 15 new packages and 367 packages
> upgraded.

We’re drifting off-topic, but this is interesting.  I just hope few
people do that, but at least it’s a reminder of the sad situation
wrt. substitute availability.

I don’t understand why you wouldn’t run ‘guix pull --news’ though.  It
provides useful info beyond packages, doesn’t it?

[...]

>> In the short term, we don’t need to solve all these problems: we can
>> also go for ‘git-authenticate’ and rename it once we have these other
>> commands.
>
> I have learnt that renaming will not work. :-)
> Because backward compatibilities and break the workflow of someone.
> So I would take the other route, go for "guix git authenticate" and
> hoping that other commands would come soon.

Well, this particular renaming would be easy: it’s really just renaming,
with a known name, a situation very different from that of ‘guix
environment’ if that’s what you were alluding to.

Thanks,
Ludo’.